#include "dogm_lcd.h"

extern void lcd_init(void) {
//diese Funktion setzt ein initialisieres SPI vorraus.
        _delay_ms(200);
        LCD_PORT &= ~(1<<LCD_RS);
        LCD_PORT &= ~(1<<LCD_CS);
        spi_transmit(0x38);
        _delay_ms(2);
        spi_transmit(0x39); //FUNCTION Set
        _delay_ms(2);
        spi_transmit(0x15); //BIAS
        _delay_ms(2);
        spi_transmit(0x78); //CONTRAST
        _delay_ms(2);
        spi_transmit(0x55); //Booster+Contrast
        _delay_ms(2);
        spi_transmit(0x6D); //Spannungsfolger
        _delay_ms(200);
        spi_transmit(0x38); //FUNCTION Set
        _delay_ms(1);
        spi_transmit(0x0F); //DISPLAY ON Cursor blink
        _delay_ms(1);
        LCD_PORT |= (1<<LCD_CS); //CS auf high -> momentan aus
}

extern void lcd_print_char(char data) {
//diese Funktion gibt ein einzelnes Zeichen an der aktuellen Cursorposition aus.
        LCD_PORT |= (1<<LCD_RS);
        LCD_PORT &= ~(1<<LCD_CS);
        spi_transmit(data);
        LCD_PORT |= (1<<LCD_CS); //CS auf high -> momentan aus
}

extern void lcd_print_string(char *buffer) {
        while (*buffer != 0) {
                lcd_print_char(*buffer);
                *buffer++;
        };
}

extern void lcd_clear_display(void) {
        LCD_PORT &= ~(1<<LCD_RS);
        LCD_PORT &= ~(1<<LCD_CS);
        spi_transmit(0x01);
        LCD_PORT |= (1<<LCD_CS);
        _delay_ms(1);
}

extern void lcd_cursor_home(void) {
        LCD_PORT &= ~(1<<LCD_RS);
        LCD_PORT &= ~(1<<LCD_CS);
        spi_transmit(0x02);
        LCD_PORT |= (1<<LCD_CS);
        _delay_ms(1);
}

