#include <avr/io.h>
#include <util/delay.h>
#include <dogm_lcd.h>

void SPI_Init (void)
{
	CONTROLDIRPORT |= _BV(CTRL_RS)|_BV(CTRL_MOSI)|_BV(CTRL_SCK)|_BV(CTRL_SS);
	SPCR |= (0 << SPIE) | /* SPI Interrupt disable */
           (1 << SPE)  | /* SPI Enable */
           (0 << DORD) | /* Data Order: MSB first */
           (1 << MSTR) | /* Master mode */
           (0 << CPOL) | /* Clock Polarity: CTRL_SCK low when idle */
           (0 << CPHA) | /* Clock Phase: sample on rising CTRL_SCK edge */
           (0 << SPR1) | /* Clock Frequency: f_OSC / 4  => 4Mbit */
           (0 << SPR0);
    SPSR &= ~(1 << SPI2X); /* No doubled clock frequency */
	_delay_us(20);
}